<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Domaine extends Model
{
    use HasFactory;
    protected $fillable = ['nameDomaine'];
    protected $connection = 'tenant';
    public function disciplines()
    {
        return $this->belongsToMany(Discipline::class)->withTimestamps();
    }
}
